0

I just forked bitcoinj and took the wallettemplate folder outside the bitcoinj folder to run it i've followed the steps in "getting started" docs now im stuck in trying to run the wallettemplate i tried to run it from Intellj but i am getting the following massage : "BUILD FAILED in 3s Cause: org/openjfx/gradle/JavaFXPlugin has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0"

Please i need your advice Many thanks in advance

1

Bytecode version 55 is Java 11. The JavaFX from openjfx that you are using was compiled with Java 11, but you are compiling with Java 8. Java 8 already includes JavaFX, so you don't have to add it via maven from openjfx. So you can either upgrade to OpenJDK Java 11, or remove the openjfx dependency from your project.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.